Summary:            File::LibMagic - Determine MIME types of data or files using libmagic
Name:               zimbra-perl-file-libmagic
Version:            1.15
Release:            1zimbra8.7b1%{?dist}.37
License:            GPL+ or Artistic
Source:             %{name}-%{version}.tar.gz
Packager:           Zimbra Packaging Services <packaging-devel@zimbra.com>
Group:              Development/Languages
BuildRequires:      zimbra-perl-base, file-devel
Requires:           zimbra-perl-base, file-libs
AutoReqProv:        no
URL:                https://metacpan.org/release/File-LibMagic

%description
This module allows Perl programmers to access and manipulate an LDAP
based Directory.

%define debug_package %{nil}

%prep
%setup -n File-LibMagic-%{version}

%build
perl -I /opt/zimbra/common/lib/perl5 Makefile.PL INSTALL_BASE=/opt/zimbra/common \
 INSTALLSITEMAN1DIR=/opt/zimbra/common/share/man/man1 INSTALLSITEMAN3DIR=/opt/zimbra/common/share/man/man3 \
 INSTALLMAN3DIR=/opt/zimbra/common/share/man/man1 INSTALLVENDORMAN3DIR=/opt/zimbra/common/share/man/man1 \
 INSTALLMAN3DIR=/opt/zimbra/common/share/man/man3 INSTALLVENDORMAN3DIR=/opt/zimbra/common/share/man/man3 \
 LIB=/opt/zimbra/common/lib/perl5

# remove .packlist and perllocal.pod
#  $(DESTINSTALLSITEARCH)/auto/$(FULLEXT)/.packlist
#  $(DESTINSTALLSITEARCH)/perllocal.pod
%define perl_archname %(perl -MConfig -e 'print $Config{archname}')
%install
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f %{buildroot}/opt/zimbra/common/lib/perl5/%{perl_archname}/perllocal.pod
rm -f %{buildroot}/opt/zimbra/common/lib/perl5/%{perl_archname}/auto/*/*/.packlist

%files
%defattr(-,root,root)
/opt/zimbra/common/lib
/opt/zimbra/common/share/man
%changelog
